commit:     89c8686008ffb58453f927de03693b6b13bc2eef
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 29 08:35:45 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun 29 08:50:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89c86860

media-plugins/gimp-lensfun: EAPI-7 bump, fix build w/ exiv2-0.27.1

Restrict to <media-gfx/gimp-2.10.0 as it is broken with latest GIMP.

Bug: https://bugs.gentoo.org/686138
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../files/gimp-lensfun-0.2.4-exiv2-0.27.1.patch    | 12 ++++++
 .../gimp-lensfun/gimp-lensfun-0.2.4-r1.ebuild      | 50 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git 
a/media-plugins/gimp-lensfun/files/gimp-lensfun-0.2.4-exiv2-0.27.1.patch 
b/media-plugins/gimp-lensfun/files/gimp-lensfun-0.2.4-exiv2-0.27.1.patch
new file mode 100644
index 00000000000..d62f1790d5d
--- /dev/null
+++ b/media-plugins/gimp-lensfun/files/gimp-lensfun-0.2.4-exiv2-0.27.1.patch
@@ -0,0 +1,12 @@
+--- a/src/gimplensfun.cpp
++++ b/src/gimplensfun.cpp
+@@ -31,8 +31,7 @@
+ #include <libgimp/gimp.h>
+ #include <libgimp/gimpui.h>
+ 
+-#include <exiv2/image.hpp>
+-#include <exiv2/exif.hpp>
++#include <exiv2/exiv2.hpp>
+ 
+ #define VERSIONSTR "0.2.4"
+ 

diff --git a/media-plugins/gimp-lensfun/gimp-lensfun-0.2.4-r1.ebuild 
b/media-plugins/gimp-lensfun/gimp-lensfun-0.2.4-r1.ebuild
new file mode 100644
index 00000000000..2756553cbcf
--- /dev/null
+++ b/media-plugins/gimp-lensfun/gimp-lensfun-0.2.4-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Gimp plugin to correct lens distortions"
+HOMEPAGE="https://seebk.github.io/GIMP-Lensfun/";
+SRC_URI="https://github.com/seebk/GIMP-Lensfun/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="openmp"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       media-gfx/exiv2
+       <media-gfx/gimp-2.10.0
+       >=media-libs/lensfun-0.3.2
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-exiv2-0.27.1.patch" )
+
+S=${WORKDIR}/GIMP-Lensfun-${PV}
+
+pkg_setup() {
+       if use openmp && [[ ${MERGE_TYPE} != binary ]]; then
+               tc-has-openmp || die "Please switch to an openmp compatible 
compiler"
+       fi
+}
+
+src_prepare() {
+       default
+
+       if ! use openmp; then
+               sed -i "s/-fopenmp//g" Makefile || die
+       fi
+
+       tc-export CXX
+}
+
+src_install() {
+       exeinto $(gimptool-2.0 --gimpplugindir)/plug-ins
+       doexe ${PN}
+}

Reply via email to